Subject: Re: [pgsql-advocacy] Infrastructure TODO list

From: "Dave Page" <[email-masked]>
Date: Thu, 30 Sep 2004 13:36:30 +0100

> -----Original Message-----
> From: Neil Conway [mailto:[email-masked]] 
> Sent: 30 September 2004 10:53
> To: Dave Page
> Cc: Bruce Momjian; PostgreSQL www; PostgreSQL advocacy
> Subject: RE: [pgsql-www] [pgsql-advocacy] Infrastructure TODO list
> 
> On Thu, 2004-09-30 at 17:49, Dave Page wrote:
> > All the other issues are/have been worked on:
> 
> I'm glad to see that improvements are being made. However, 
> part of the reason I think we need additional changes is that 
> it took *so long* to make these improvements in the first 
> place; the archives have been semi-functional (at best!) for 
> many months (years?), for example.

I've heard of the archiver stall occasionally, but as far as I'm aware
they were never actually broken. The bottom line is though, there aren't
enough ppl actually doing the work. Marc looks after the archives, and
like all of us, he has limited time. If someone were to volunteer to
take on and maintain and improve the archives, I'm sure more would get
done.

> > Now much as I like a good debate, can we please at least stop going 
> > over old ground
> 
> I think part of the problem may be that while this may be "old ground"
> to a relatively small cabal of individuals, the community at 
> large isn't aware of the efforts being made to improve the 
> infrastructure, and is frustrated by the current state of 
> affairs. It is easy to dismiss the discussion as "uninformed 
> debate" -- but if Bruce and other active contributors are 
> "uninformed" about the current state of affairs, I think that 
> might suggest a problem in and of itself. 

But that's exactly the point. Bruce is a member of the www list, and
therefore should see all the discussions we have. It's extremely rare
that any of us talk off-list, so any subscriber should know what's going
on if they pay attention (note that I am not having a go at Bruce here).

> Perhaps maintaining 
> a public TODO list of legitimate items for improvement would 
> be one way to inform people about what work needs to be done?

Certainly not a bad thing, but the major thing we need is people able
and willing to put more time into specific projects.

Regards, Dave

---

From: Robert Treat <[email-masked]>
Date: 30 Sep 2004 11:07:33 -0400

> and willing to put more time into specific projects.

For the record no one has ever offered to fix any of the issue I put in
the bug tracker for gborg that were techdocs related. Much like Tom and 
Dave have said, if people don't show up to do the work it's kind of
moot. Outside of Charlie, Frances, Ivan, and Jeanne, I don't see anyone
beating down my door. :-\  

Robert Treat
-- 
Build A Brighter Lamp :: Linux Apache {middleware} PostgreSQL